登录  免费注册
当前位置:首页 > 漏洞详细信息

Google TensorFlow代码问题漏洞(CNVD-2020-54781)

 关注(0)  
CNVD-ID CNVD-2020-54781
公开日期 2020-09-30
危害级别 高 (AV:N/AC:L/Au:S/C:N/I:C/A:P)
影响产品 Google Google TensorFlow 2.3.1
Google Google TensorFlow <2.2.1
CVE ID CVE-2020-15193
漏洞描述 Google TensorFlow是美国谷歌(Google)公司的一套用于机器学习的端到端开源平台。

Tensorflow 2.2.1之前版本,2.3.1版本中存在安全漏洞,该漏洞源于pybind11粘合代码假定参数是张量,攻击者可利用该漏洞使dlpack.to_dlpack的实现使用未初始化的内存,从而导致进一步的内存损坏。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2020-15193
漏洞解决方案 厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/tensorflow/tensorflow/releases/tag/v2.3.1
厂商补丁 Google TensorFlow代码问题漏洞(CNVD-2020-54781)的补丁
验证信息 (暂无验证信息)
报送时间 2020-09-28
收录时间 2020-09-30
更新时间 2020-09-30
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论